Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Curate or update content

POST
/api/v3/curations
curl --request POST \
--url https://api.tryletterhead.com/api/v3/curations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form api=true \
--form url=https://letterhead.ai \
--form 'channels[]=letterhead-example-newsletter' \
--form content=example \
--form excerpt=example \
--form image=example \
--form siteName=example \
--form publicationDate=example \
--form tags=example \
--form title=example

Create a curation for any channel within the company. Note that the v3 api requires a key generated from within the company-level settings, which are available only to folks with that given plan.

Provided that you are curating the same url, Letterhead will not create a duplicate curation, and you can use this endpoint to also update one if it is already in the system.

Version note: at present, you can only pass one channel identifier to channels. Shortly, you will able to pass multiple, or none - which will represent “all channels.”

scrape is not presently an option, but will be added.

Media type multipart/form-data
object
api
required

Set to true to authenticate with your company API key rather than a signed-in session.

string
Example
true
url
required

URL to the content you would like Letterhead to crawl. We will fetch what we can glean from the site’s Open Graph.

string
Example
https://letterhead.ai
channels[]
required

string[] | An array of channel identifiers (or channel “slugs”) across which to create a curation.

string
Example
letterhead-example-newsletter
content

html content for the curation, only p and formatting elements are allowed. You would use this if

string
excerpt

Plain text excerpt of the curated content. Will overwrite what we fetch from the URL.

string
image

The URL of a featured image to associate with this piece of content.

string
siteName

The name of the site the curated content originated from.

string
publicationDate

The Y-md H:i:s formatted date of publication.

string
tags

string[] | An optional array of string tags with which to associate this piece of content. Example: ['dogs', 'canines']

string
title

Title of the curated content. Will overwrite what we fetch from the URL.

string

Successful response

Still can’t find what you need? Contact support.